Mailinglist Archive: opensuse-factory (443 mails)

< Previous Next >
Re: [opensuse-factory] How to inform users of security settings (boo#713289)
Simon Becherer píše v Čt 04. 07. 2019 v 15:12 +0200:

Am 04.07.19 um 14:24 schrieb Cor Blom:

Thu Feb 28 11:44:05 UTC 2019 - pgajdos@xxxxxxxx

- provide two new (conflicting) packages with configuration
[bsc#1122033]:
* ImageMagick-config-upstream
- provides configuration provided by upstream (no restrictions)
* ImageMagick-config-SUSE (preferred)
- provides configuration provided by SUSE (with security
restrictions)
and use update-alternatives for selecting configurations.
- remove code for < 1315
- deleted patches
- ImageMagick-disable-insecure-coders.patch (renamed)
- added patches
+ ImageMagick-configuration-SUSE.patch


on tumbleweed 20190607

there is in update-alternatives only one entry:
choice: prority:
/etc/ImageMagick-7-suse 10

nothing to select between ???

how to switch to the upstream settings?

Please either file bugs or go to support channel. This mailinglist is
supposed to be used for development.

Also the upstream configuration is most probably in package
'ImageMagick-config-7-upstream' so just install that and switch to it.

Tom
< Previous Next >